# Console 3.4.1 Patch Level 4
**Operating Systems:** Linux and Windows
**Date:** 9/18/2020

This patch includes the following fixes:
### Patch Level 4 Fixes
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1043    | The `fasp_files` and `transfer_session_files_u` tables do not allow large errors.                  |
| AC-1036    | HTTP Proxy does not direct all API traffic.                                                       |

### Patch Level 3 Fixes
| Jira Issue | Description                                                      |
| ---------- | ---------------------------------------------------------------- |
| AC-1018    | Creating a smart transfer using the API fails if the request does not include the `source_type` field.|
| AC-1017    | SSH to ATS transfers fail to start.|
| AC-1005    | Console unable to start a transfer if the source endpoint uses Node API credentials and the destination endpoint uses stored SSH keys as credentials. |

### Patch Level 2 Fixes
| Jira Issue | Description                                                      |
| ---------- | ---------------------------------------------------------------- |
| AC-1004    | SAML users with special groups fail to log in.                   |
| AC-990     | Maps do not represent transfers as lines between nodes when node name contains certain special characters.|

### Patch Level 1 Fixes

| Jira Issue | Description
| -------- | --------
| AC-996 | Added black borders to enhance visibility of nodes in the map.
| AC-995 | Nodes on the map do not change color to red when they go down.
| AC-992 | Nodes on the map are placed incorrectly when the browser enters or exits full-screen mode.

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_4.zip`) and unzip it.

3. Make sure to back-up all the files in the console folder (``/opt/aspera/console/``).

4. Run the following command to replace existing files with patch files:

    ```$ /bin/cp -r patch_path/IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_4/* /opt/aspera/console/```
    ```$ chown -R aspera_console:aspera_console /opt/aspera/console ```

5. Update the database schema:

    ```asctl console:migrate_database```

    **Note:** The database migration can take a long time depending on the number of records in the database. In an IBM Aspera test environment, a database with six million records took 20 minutes to migrate. This is an example, not a benchmark. Migration time depends on your environment and the number of records in your database.

6. Restart Console service:

    ```asctl console:restart```

7. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

### Applying the patch for Windows systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_4.zip`) and unzip it.

3. Make sure to back-up all the files in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`).

4. Stop all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Stop** from the drop-down menu.

5. Replace existing files by copying patch files to appropriate directories in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`).

6. Update the database schema:

    ```asctl console:migrate_database```
    
    **Note:** The database migration can take a long time depending on the number of records in the database. In an IBM Aspera test environment, a database with six million records took 20 minutes to migrate. This is an example, not a benchmark. Migration time depends on your environment and the number of records in your database.

7. Restart all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Start** from the drop-down menu.

8. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

© IBM Aspera. Copyright IBM Corp. 2009, 2020
