module UsersHelper
  def delete_user_link(user)
    user == current_user ? "&nbsp;" :
        link_to_delete(user.login, user_path(user), :confirm => "Are you sure you wish to delete Console user: #{user.login}?")
  end

  def user_tab_definitions(license_edit_only = false)
    ret = [
        {:id => :users, :label => "Users", :url => users_path},
        {:id => :groups, :label => "Groups", :url => groups_path},
        {:id => :directories, :label => "Directories", :url => config_directory_service_edit_path},
        {:id => :saml, :label => "SAML", :url => config_saml_edit_path},
        {:id => :log, :label => "Access Log", :url => audit_path }
    ]
    case controller.action_name
      when 'new', 'create'
        if controller.controller_name == 'users'
          ret << {:id => :new_user, :label => "New User", :url => "#" }
        elsif controller.controller_name == 'groups'
          ret << {:id => :new_group, :label => "New Group", :url => "#" }
        elsif controller.controller_name == 'group_paths'
          ret << {:id => :new_path, :label => "New Path for '#{h @group.name}'", :url => "#" }
        end
      when 'edit', 'update'
        if controller.controller_name == 'group_paths' && @group.present?
          ret << {:id => :edit_path, :label => "Edit Path '#{h @path.name_display}'", :url => "#" }
        elsif controller.controller_name == 'groups' && @group.present?
          ret << {:id => :edit_group, :label => "Edit Group '#{h truncate(@group.name, 50)}'", :url => "#" }
        elsif controller.controller_name == 'users' && @user.present?
          ret << {:id => :edit_user, :label => "Edit User #{h @user.name} (#{h @user.login})", :url => "#" }
        end
      when 'index'
        if controller.controller_name == 'user_groups'
          ret << {:id => :memberships, :label => "Permissions for #{h @user.name} (#{h @user.login})", :url => "#" }
        elsif controller.controller_name == 'group_users'
          ret << {:id => :group_users, :label => "Members for Group '#{h @group.name}'", :url => "#" }
        end
      when 'paths'
        ret << {:id => :group_paths, :label => "Transfer Paths for Group '#{h @group.name}' (#{h @user.login})", :url => "#" }
    end
    ret
  end

end